simple_private.h File Reference

Private definitions for so called simple filters. More...

`#include "simple_coder.h"`

## Data Structures

struct | lzma_simple_coder

## Functions

lzma_ret | lzma_simple_coder_init (lzma_next_coder *next, const lzma_allocator *allocator, const lzma_filter_info *filters, size_t(*filter)(void *simple, uint32_t now_pos, bool is_encoder, uint8_t *buffer, size_t size), size_t simple_size, size_t unfiltered_max, uint32_t alignment, bool is_encoder)

## Detailed Description

Private definitions for so called simple filters.